Subject: Re: [Simple] I-D Action: draft-ietf-simple-simple-08.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 16 Feb 2013 07:37:19 -0500

Olle,

I agree with Ben's assessment above. When we started this draft, we decided
on a fairly hard definition around scope of what is included, and what is
not. We purposely are not including the many SIP extensions that apply in
general to SIP, including presence. As such, I do not think we should
include rfc6072 or 5922. Similarly I dont think a section on xcap (useful
as it might be) belongs here. I look forward to seeing your draft ;)

Thanks,
Jonathan R.

On Wed, Jan 30, 2013 at 1:56 PM, Ben Campbell <[email-masked]> wrote:

> (as chair)
>
> Robert has asked us to progress this as soon as possible. I plan to go
> ahead and do that for the existing version.
>
> That does _not_ mean we should ignore feedback, nor should we shut down
> this discussion. We will just treat any further comments and discussion as
> if they were IETF Last Call comments.
>
> Thanks!
>
> Ben.
>
> On Jan 30, 2013, at 1:49 AM, Olle E Johanson <[email-masked]> wrote:
>
> >
> > 29 jan 2013 kl. 15:17 skrev Ben Campbell <[email-masked]>:
> >
> >> (as chair)
> >>
> >> We had a WGLC on version 06 of draft-ietf-simple-simple some time (as
> in years) ago. It's been on hold since then to allow the other SIMPLE work
> to substantially complete. Since our penultimate milestone (simple-chat)
> has recently been approved by the IESG, it's time to progress simple-simple
> and complete our final chartered milestone.
> >>
> >> The only non-trivial change between 06 and 08 was the split of the
> entry for the old msrp-acm draft into separate entries for RFC 6135
> (COMEDIA for MSRP) and RFC 6174 (CEMA), to account for the split of that
> draft.
> >>
> >> After conferring with the author and our AD, I think these changes are
> pretty obvious and not likely to be controversial. Therefore we plan to
> request publication of version 08. If anyone objects to that course of
> action, please speak up asap.
> >
> > Ok, I know I had years to make a comment, but anyway :-)
> >
> > I would like to see references to the SIP domain certificate
> specification, as it plays a role for implementors, as well as the SIP
> certificate management service. These should be important for anyone
> building SIMPLE implementations and adds some missing pieces in the SIMPLE
> specs.
> >
> > - RFC 6072 Certificate Maangement Service for Session Initiation Protocol
> >   http://tools.ietf.org/html/rfc6072
> > - RFC 5922 Domain Certificates in the Session Initiation Protocol
> >  http://tools.ietf.org/html/rfc5922
> >
> > Maybe we could add a clarification for newbies that "The SIP
> subscribe/notify mechanism is not only used in SIMPLE, but also in other
> event packages outside of the scope of this document."
> >
> >
> > I could possibly also add a section about the missing interoperability
> in presence/XCAP implementations but that propably won't help this
> particular document that I find has a lot of value.
> >
> > See you all at SIPit 30! Only a few days of registration open - so
> please hurry to http://www.sipit.net and register!
> > /O
> >
> >>
> >> Thanks!
> >>
> >> Ben.
> >>
> >>> From: [email-masked]
> >>> Subject: [Simple] I-D Action: draft-ietf-simple-simple-08.txt
> >>> Date: January 28, 2013 6:44:53 PM CST
> >>> To: [email-masked]
> >>> Cc: [email-masked]
> >>>
> >>>
> >>> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> >>> This draft is a work item of the SIP for Instant Messaging and
> Presence Leveraging Extensions Working Group of the IETF.
> >>>
> >>>     Title           : SIMPLE made Simple: An Overview of the IETF
> Specifications for Instant Messaging and Presence using the Session
> Initiation Protocol (SIP)
> >>>     Author(s)       : Jonathan Rosenberg
> >>>     Filename        : draft-ietf-simple-simple-08.txt
> >>>     Pages           : 15
> >>>     Date            : 2013-01-28
> >>>
> >>> Abstract:
> >>> The IETF has produced many specifications related to Presence and
> >>> Instant Messaging with the Session Initiation Protocol (SIP).
> >>> Collectively, these specifications are known as SIMPLE - SIP for
> >>> Instant Messaging and Presence Leveraging Extensions.  This document
> >>> serves as a guide to the SIMPLE suite of specifications.  It breaks
> >>> them up into categories and explains what each is for and how they
> >>> relate to each other.
> >>>
> >>>
> >>> The IETF datatracker status page for this draft is:
> >>> https://datatracker.ietf.org/doc/draft-ietf-simple-simple
> >>>
> >>> There's also a htmlized version available at:
> >>> http://tools.ietf.org/html/draft-ietf-simple-simple-08
> >>>
> >>> A diff from the previous version is available at:
> >>> http://www.ietf.org/rfcdiff?url2=draft-ietf-simple-simple-08
> >>>
> >>>
> >>> Internet-Drafts are also available by anonymous FTP at:
> >>> ftp://ftp.ietf.org/internet-drafts/
> >>>
> >>> _______________________________________________
> >>> Simple mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/simple
> >>
> >> _______________________________________________
> >> Simple mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/simple
> >
>
>

-- 
Jonathan Rosenberg, Ph.D.
[email-masked]
http://www.jdrosen.net